﻿@model ListMovieByMainGenreViewModel
@inject ListMovieByMainGenreViewModel model
@{
    ViewData["Title"] = "Show Movies By Main Genre";
}
<h2>@ViewData["Title"]</h2>


<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="ShowMoviesByMainGenre" method="post">
            <div class="col-md-6">
                <h4>Choose main genres to see all movies.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MainGenre">Main Genres</label>
                    <select asp-for="@Model.MainGenre" asp-items="model.MainGenresList" class="form-control" size="3"></select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-default">Search</button>
                </div>
            </div>
        </form>
    </section>
</div>


@if (Model != null && Model.MoviesViewModel != null && !Model.MoviesViewModel.Movies.Any())
{
    <p>No results found!</p>
}


@{
    if (Model != null && Model.MoviesViewModel != null)
    {
        <partial name="_ShowAllMoviesPartial" model="Model.MoviesViewModel" />
    }
}

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
